jQuery.sap.require(
    "sas.modelfactory.report.BaseGraphController"
);

sas.modelfactory.report.BaseGraphController.extend("sas.modelfactory.report.Comparison", {

    reportData: null,

    onInit: function() {
        // Call the super
        sas.modelfactory.report.BaseGraphController.prototype.onInit.apply(this);
    },

    /**
     * Similar to onAfterRendering, but this hook is invoked before the controller's View is re-rendered
     * (NOT before the first rendering! onInit() is used for that one!).
     * @memberOf sas.modelfactory.report.Comparison
     */
    onBeforeRendering: function() {
        // Build comparison reports
        this.reportData = this.getView().getViewData();

        if (this.reportData)
            this.setReports(this.reportData,"Comparison");
    }
});