jQuery.sap.declare("sas.modelfactory.report.ReportTextViewer");

(function() {
    jQuery.sap.require("sas.modelfactory.report.Report");

    sas.modelfactory.report.Report.extend("sas.modelfactory.report.ReportTextViewer", {

        _contents: null,
        _lineNumber: null,

        constructor: function(jsonObject) {
            var Report = sas.modelfactory.report.Report;
            Report.prototype.constructor.apply(this, arguments);

            this._contents = this.getParameterByName("contents");
            this._lineNumber = this.getParameterByName("lineNumber");
        },

        getContents: function() {
            return this._contents;
        },

        getLineNumber: function() {
            return this._lineNumber;
        }

    });
})();