/**
 * Created by rayoun on 4/16/15.
 */

jQuery.sap.require(
    "sas.hc.m.BusyDialog"
);

(function(){

    jQuery.sap.declare('sas.modelfactory.util.SpinnerUtil');

    busySpinner = {

        busyDialog: null,

        show: function(show, title, text){
            var controller = this;
            if (show) {
                // Open the busy busyDialog
                if (this.busyDialog == null) {
                    this.busyDialog = new sas.hc.m.BusyDialog({
                        title: title,
                        text: text,
                        showCancelButton: false
                    });
                    this.busyDialog.open();
                } else {
                    this.busyDialog.setTitle(title);
                }

                return this.busyDialog;
            } else {
                // Close the busy busyDialog
                if (this.busyDialog){
                    this.busyDialog.close();
                    this.busyDialog.destroy();
                    this.busyDialog = null;
                }
            }
        }
    };
})();